/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */

/* ---------- Gloabl ---------- */

body {
    overflow-x: hidden;
}

.elementor-widget-button,
.elementor-icon-wrapper {
    line-height: 0;
}

.red_btn .elementor-button {
    position: relative;
    overflow: hidden;
}

.red_btn .elementor-button::after {
    content: '';
    width: 100%;
    height: 100%;
    border-radius: 50px;
    background-color: rgba(198, 167, 94, 1);
    position: absolute;
    left: -100%;
    bottom: 0;
    transition: all 0.2s ease-in;
    z-index: 0;
}

.red_btn .elementor-button:hover::after {
    left: 0;
    transition: all 0.2s ease-in;
}

.red_btn .elementor-button:hover .elementor-button-icon,
.red_btn .elementor-button:hover .elementor-button-text {
    z-index: 1;
}

.red_btn .elementor-button-icon {
    position: relative;
    transition: all 0.2s ease-in;
}

.red_btn .elementor-button:hover .elementor-button-icon {
    transform: translateX(5px);
    transition: all 0.2s ease-in;
}

.yellow_btn .elementor-button::after {
    background-color: rgba(139, 28, 22, 1) !important;
}

/* ---------- Gloabl ---------- */



/* ---------- Header CSS ---------- */

.main_sticky_header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 999;
    transition: transform 0.35s ease;
}

.main_sticky_header.hide-header {
    transform: translateY(-100%);
}

.main_sticky_header::after {
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 0;
    background: #00000061 !important;
    backdrop-filter: blur(14px);
    transition: height 0.35s ease;
}

.main_sticky_header.show-bg::after {
    height: 100%;
}

/* ------- */

.saga_header-menu .elementor-item {
    position: relative;
    overflow: hidden;
    padding-bottom: 3px !important;
}

.saga_header-menu .elementor-item::after {
    content: '';
    width: 23px;
    height: 1px;
    background-color: #FFFFFF !important;
    position: absolute;
    left: -100%;
    bottom: 0;
    opacity: 1 !important;
    transition: all 0.2s ease-in;
}

.saga_header-menu .elementor-item:hover::after {
    left: 0;
    transition: all 0.2s ease-in;
}

.saga_header-menu .elementor-nav-menu .menu-item .sub-menu {
    padding-right: 70px;
    box-shadow: 0px 4px 44px rgba(0, 0, 0, 0.25);
}

.saga_header-menu .elementor-nav-menu .menu-item .sub-menu .menu-item {
    position: relative;
}

.saga_header-menu .elementor-nav-menu .menu-item .sub-menu .menu-item::after {
    content: '';
    width: 260px;
    height: 1px;
    background-color: rgba(0, 0, 0, 0.1);
    position: absolute;
    bottom: 0;
    left: 15px;
}

/* ---------- Header CSS ---------- */

.saga_footer_social .elementor-icon {
    position: relative;
    overflow: hidden;
}

.saga_footer_social .elementor-icon::after {
    content: '';
    width: 100%;
    height: 100%;
    background-color: #FFFFFF;
    border-radius: 100%;
    position: absolute;
    left: 0;
    bottom: -100%;
    transition: all 0.2s ease-in;
    z-index: -1;
}

.saga_footer_social .elementor-icon:hover::after {
    bottom: 0;
    transition: all 0.2s ease-in;
}

.footer_menu_listitems .elementor-item {
    position: relative;
    overflow: hidden;
    display: inline-block !important;
    padding-bottom: 2px !important;
}

.footer_menu_listitems .elementor-item::after {
    content: '';
    width: 100%;
    height: 2px;
    background-color: #FFFFFF !important;
    position: absolute;
    left: -100%;
    bottom: 0;
    opacity: 1 !important;
    transition: all 0.2s ease-in;
}

.footer_menu_listitems .elementor-item:hover::after {
    left: 0;
    transition: all 0.2s ease-in;
}

/* ---------- Header CSS ---------- */


/* ---------- Header CSS ---------- */


/* ---------- Home Page Hero Section CSS ---------- */

.hero_slider_cars .e-n-carousel {
    padding-bottom: 0 !important;
}

.hero_slider_cars .swiper-pagination {
    display: flex;
    flex-direction: column !important;
    gap: 40px !important;
}

.hero_slider_cars .swiper-pagination span {
    opacity: 1;
    position: relative;
    transition: all 0.2s ease-in;
}

.hero_slider_cars .swiper-pagination span::after {
    content: '';
    height: 36px;
    width: 36px;
    border-radius: 100%;
    border: 1px solid transparent;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    transition: all 0.2s ease-in;
}

.hero_slider_cars .swiper-pagination span:hover::after {
    border-color: #FFFFFF;
}

.hero_slider_cars .swiper-pagination .swiper-pagination-bullet-active::before {
    content: '';
    height: 36px;
    width: 36px;
    border-radius: 100%;
    border: 1px solid #FFFFFF;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    transition: all 0.2s ease-in;
}

.hero_icn-box .elementor-icon {
    position: relative;
}

.hero_icn-box .elementor-icon::after {
    content: '';
    height: 24px;
    width: 24px;
    background-color: rgba(139, 28, 22, 0.1);
    position: absolute;
    right: -10px;
    top: -7px;
    border-radius: 100%;
}

/* slider */
.hero_slider_cars,
.hero_slider_cars .elementor-swiper,
.hero_slider_cars .swiper {
    height: 100vh !important;
    overflow: hidden !important;
}

.hero_slider_cars .swiper-wrapper {
    display: flex !important;
    flex-direction: column !important;
}

.hero_slider_cars .swiper-slide {
    width: 100% !important;
    height: 100vh !important;
    flex-shrink: 0 !important;
}

/* ---------- Hero Section CSS ---------- */



/* ---------- About Us Section CSS ---------- */

.about_us-counter .elementor-counter-number {
    line-height: 0;
    padding-top: 15px;
}

.about_us-counter .elementor-counter-title {
    position: relative;
}

.about_us-counter .elementor-counter-title::after {
    content: '';
    width: 1px;
    height: 60px;
    background-color: rgba(139, 28, 22, 1);
    position: absolute;
    left: -25px;
}

/* ---------- About Us Section CSS ---------- */


/* ---------- Services Section CSS ---------- */

.service_icon-main {
    position: relative;
}

.service_icon-main::after {
    content: '';
    width: 36px;
    height: 36px;
    border-radius: 100%;
    background-color: rgba(255, 255, 255, 0.1);
    position: absolute;
    right: -17px;
    top: 0;
}

.service_main-div .elementor-button {
    position: relative;
    transition: all 0.3s ease-in;
}

.service_main-div:hover .elementor-button {
    text-decoration: underline;
    transition: all 0.3s ease-in;
}

/* ---------- Services Section CSS ---------- */


/* ---------- Testimonial Section CSS ---------- */

.testmonial_main_wid .elementor-swiper-button svg path {
    fill: rgba(139, 28, 22, 1);
    transition: all 0.2s ease-in;
}

.testmonial_main_wid .elementor-swiper-button:hover svg path {
    fill: #FFFFFF;
    transition: all 0.2s ease-in;
}

.testmonial_main_wid .swiper {
    overflow: visible;
}

.testmonial_main_wid .swiper-slide {
    opacity: 0;
    transition: opacity 0.3s !important;
    z-index: 11;
}

.testmonial_main_wid .swiper-slide-active,
.testmonial_main_wid .swiper-slide-next,
.testmonial_main_wid .swiper-slide-next+.swiper-slide {
    opacity: 1;
}

.review_first-let {
    height: 48px;
    width: 48px;
    display: flex;
    justify-content: center !important;
    align-items: center !important;
    background-color: rgba(139, 28, 22, 1);
    border-radius: 100%;
    color: #FFFFFF;
    font-family: 'Playfair Display';
    font-size: 26px;
    line-height: 32px;
    font-weight: 600;
    letter-spacing: -0.16px;
    text-transform: capitalize;
}

/* ---------- Testimonial Section CSS ---------- */



/* ---------- Accordion Section CSS ---------- */

.main_accordion_wid .e-n-accordion-item .e-n-accordion-item-title {
    box-shadow: 0px 2px 6px rgba(0, 0, 0, 0.1);
}

.main_accordion_wid .e-n-accordion-item {
    position: relative;
    transition: all 0.1s ease-in;
    border-radius: 10px;
}

.main_accordion_wid .e-n-accordion-item[open] {
    box-shadow: 0px 2px 6px rgba(0, 0, 0, 0.1);
    background-color: #1F2F44 !important;
    border-radius: 10px;
    transition: all 0.1s ease-in;
}

.main_accordion_wid .e-n-accordion-item[open] .e-n-accordion-item-title {
    padding-bottom: 15px !important;
}

/* ---------- Accordion Section CSS ---------- */


/* ---------- Who We are Section CSS ---------- */

.logo_slider_wid .swiper {
    overflow: visible;
}

.logo_slider_wid .swiper-slide {
    opacity: 1;
    transition: opacity 0.3s !important;
    z-index: 11;
}

.logo_slider_wid .swiper-slide-active,
.logo_slider_wid .swiper-slide-prev,
.logo_slider_wid .swiper-slide-next,
.logo_slider_wid .swiper-slide-next+.swiper-slide {
    opacity: 1;
}

.logo_slider_wid .swiper-wrapper {
    transition-timing-function: linear !important;
}

/* ---------- Who We are Section CSS ---------- */


/* ---------- Permanent Residence Section CSS ---------- */

.resid_service_main_div {
    position: relative;
    transition: all 0.2s ease-in;
    overflow: hidden !important;
}

.resid_service_main_div::after {
    content: '';
    width: 100%;
    height: 100%;
    bottom: -100%;
    left: 0;
    background-color: rgba(14, 30, 51, 1);
    border-radius: 20px;
    position: absolute;
    z-index: -1;
    transition: all 0.2s ease-in;
}

.resid_service_main_div:hover::after {
    bottom: 0;
    transition: all 0.2s ease-in;
}

.hove_eff_white,
.hove_eff_white h3,
.hove_eff_white p,
.hove_eff_white .elementor-button,
.hove_eff_white .elementor-button svg path {
    transition: all 0.2s ease-in;
}

.resid_service_main_div:hover .hove_eff_white h3,
.resid_service_main_div:hover .hove_eff_white p,
.resid_service_main_div:hover .hove_eff_white {
    color: #FFFFFF !important;
    transition: all 0.2s ease-in;
}

.resid_service_main_div:hover .elementor-button {
    color: #FFF !important;
    background: rgb(139, 28, 22) !important;
    transition: all 0.2s ease-in;
}

.resid_service_main_div:hover .elementor-button svg path {
    fill: #FFF;
    transition: all 0.2s ease-in;
}

/* ---------- Permanent Residence Section CSS ---------- */


/* ---------- Service Details Page CSS ---------- */

.service_details-accord .e-n-accordion .e-n-accordion-item {
    position: relative;
}

.service_details-accord .e-n-accordion .e-n-accordion-item::after {
    content: '';
    height: 1px;
    width: 100%;
    background-color: rgba(0, 0, 0, 0.1);
    position: absolute;
    left: 0;
    bottom: -30px;
}

/* ---------- Service Details Page CSS ---------- */




@media only screen and (min-width: 1601px) and (max-width: 1799px) {
    html {
        zoom: 0.85;
        zoom: 85%;
    }

    .hero_slider_cars .elementor-swiper,
    .hero_slider_cars .swiper {
        height: 130vh !important;
    }

    .hero_slider_cars .swiper-slide {
        height: 130vh !important;
    }
}

@media only screen and (min-width: 1536px) and (max-width: 1600px) {
    html {
        zoom: 0.80;
        zoom: 80%;
    }

    .hero_slider_cars .elementor-swiper,
    .hero_slider_cars .swiper {
        height: 140vh !important;
    }

    .hero_slider_cars .swiper-slide {
        height: 140vh !important;
    }

    .saga_header-menu .elementor-item::after {
        bottom: 1px;
    }
}

@media only screen and (min-width: 1440px) and (max-width: 1535px) {
    html {
        zoom: 0.82;
        zoom: 82%;
    }

    .hero_slider_cars .elementor-swiper,
    .hero_slider_cars .swiper {
        height: 130vh !important;
    }

    .hero_slider_cars .swiper-slide {
        height: 130vh !important;
    }

    .saga_header-menu .elementor-nav-menu .menu-item .sub-menu .menu-item::after {
        bottom: 4px;
    }
}

@media only screen and (min-width: 1201px) and (max-width: 1439px) {
    html {
        zoom: 0.75;
        zoom: 75%;
    }

    .saga_header-menu .elementor-nav-menu .menu-item .sub-menu .menu-item::after {
        bottom: 3px;
    }
}



/* ========= Responsive ========= */

@media(max-width: 1200px) {

    .hero_slider_cars,
    .hero_slider_cars .elementor-swiper,
    .hero_slider_cars .swiper {
        height: 82vh !important;
    }

    .hero_slider_cars .swiper-slide {
        height: 82vh !important;
    }

    .service_details-accord .e-n-accordion .e-n-accordion-item::after {
        bottom: -20px;
    }
}

@media(max-width: 1024px) {
    .saga_header-menu .elementor-item {
        padding-bottom: 20px !important;
    }

    .hero_slider_cars,
    .hero_slider_cars .elementor-swiper,
    .hero_slider_cars .swiper {
        height: 80vh !important;
    }

    .hero_slider_cars .swiper-slide {
        height: 80vh !important;
    }

    .saga_header-menu .elementor-nav-menu .menu-item .sub-menu .menu-item::after {
        width: 100%;
    }

    .saga_header-menu .elementor-nav-menu .menu-item .sub-menu {
        padding-right: 20px;
    }

    .saga_header-menu .elementor-item::after {
        content: none;
        display: none;
    }

    .review_first-let {
        height: 40px;
        width: 40px;
        font-size: 22px;
        line-height: 28px;
    }
}

@media(max-width: 767px) {
    .saga_header-menu .elementor-item {
        padding-bottom: 15px !important;
    }

    .hero_slider_cars .swiper-pagination {
        flex-direction: row !important;
        gap: 0px !important;
        top: auto !important;
        bottom: 50px !important;
    }

    .service_main-div {
        background-color: rgba(139, 28, 22, 1) !important;
    }

    .service_icon-main::after {
        right: -8px;
        top: 0;
    }

    .testimonial_main_loop-item {
        box-shadow: 0px 4px 50px rgba(0, 0, 0, 0.1);
    }

    .main_accordion_wid .e-n-accordion-item-title {
        align-items: start !important;
    }

    .main_accordion_wid .e-n-accordion-item-title-icon {
        padding-top: 10px;
    }

    .hero_slider_cars,
    .hero_slider_cars .elementor-swiper,
    .hero_slider_cars .swiper {
        height: 74vh !important;
    }

    .hero_slider_cars .swiper-slide {
        height: 74vh !important;
    }

    .hero_slider_cars .swiper-pagination .swiper-pagination-bullet-active::before {
        height: 25px;
        width: 25px;
    }

    .hero_slider_cars .swiper-pagination span::after {
        height: 25px;
        width: 25px;
    }

    .service_details-accord .e-n-accordion .e-n-accordion-item::after {
        bottom: -15px;
    }

    .gtranslate_wrapper .gt_switcher-popup {
        padding: 4px 5px 6px 5px;
    }

    .gtranslate_wrapper .gt_switcher-popup img {
        width: 20px;
        height: 20px;
    }

    .review_first-let {
        height: 35px;
        width: 35px;
        font-size: 20px;
        line-height: 26px;
    }

    .saga_header-menu .elementor-item {
        display: flex;
        justify-content: space-between;
    }

    .saga_header-menu .elementor-item .sub-arrow svg {
        font-size: 20px !important;
    }
}